/**
 * api
 * 礼品管理
 */
import getFetch from './get-fetch.js';
import { welfarePrefix } from '@/config';

// 礼品相关接口
let performance = {
  getDelivery: {
    url: '/delivery-order/get-page-list',
    method: 'post'
  }, // 发货单
  getPerformanceList: {
    url: '/order/get-page-list',
    method: 'post'
  }, // 发货单
  getApplicationList: '/stock/application-list',
  getRefund: {
    url: '/refund-order/get-page-list',
    method: 'post'
  },
  exportRefundData: {
    url: '/refund-order/order-export',
    method: 'post'
  },
  exportDeliveryData: {
    url: '/delivery-order/order-export',
    method: 'post'
  },
  exportPerformanceData: {
    url: '/order/order-export',
    method: 'post'
  },
  getLogisticsInfo: {
    url: '/logistics/get-logistics-info',
    method: 'post'
  },
  handleRefundOrder: {
    url: '/refund-order/process-refund-order',
    method: 'post'
  },
  getDeliveryDetail: {
    url: '/delivery-order/get-delivery-detail',
    method: 'post',
    useFormData: true
  },
  delivering: {
    url: '/delivery-order/delivering',
    method: 'post',
  },
  closeOrder: {
    url: '/delivery-order/close',
    method: 'post',
    useFormData: true
  }
};
performance = getFetch(performance, welfarePrefix);

export default { ...performance };
