import Layout from '@/components/layout/layout';

export default [
  {
    path: '/performance',
    component: Layout,
    redirect: '/performance/delivery',
    children: [
      {
        path: 'delivery',
        component: () => import('@/views/performance-manage/delivery.vue'),
      },
      {
        path: 'delivery-detail',
        component: () => import('@/views/performance-manage/delivery-detail.vue'),
      },
      {
        path: 'refund',
        component: () => import('@/views/performance-manage/refund.vue'),
      },
      {
        path: 'record',
        component: () => import('@/views/performance-manage/record.vue'),
      },
    ],
  },
];
